1. Wessel
  2. 3rd party extensies
  3. woensdag 20 februari 2019
Een jaar geleden gestart met nieuwe website http://www.wesseldekkerfotografie.nl. Template aangekocht bij TemplateMonster en door hun de basis website laten installeren. Momenteel draait de website op Joomla 3.9.3.

Al enige tijd krijg ik een bericht te zien in het controlepaneel:
We hebben gedetecteerd dat uw server gebruik maakt van PHP 7.0.29 welke verouderd is en niet langer officiële beveiligingsupdates van de ontwikkelaars ontvangt. Het Joomla! Project raadt aan uw site naar PHP 7.1 of hoger te upgraden welke tenminste tot 01-12-2019 beveiligingsupdates zal ontvangen.

Op de server geprobeerd om php in te stellen op 7.1 maar dan krijg ik een wit scherm met de volgende foutmelding:
Notice: Only variables should be assigned by reference in /home/vhosts/http://wesseldekkerfotografie.nl/httpdocs/modules/mod_icemegamenu/helper.php on line 272

Notice: Only variables should be assigned by reference in /home/vhosts/http://wesseldekkerfotografie.nl/httpdocs/modules/mod_icemegamenu/helper.php on line 109
Using $this when not in object context

De module Icemegamenu is dus de boosdoener en helaas wordt deze module niet meer ondersteund door ontwerper. Ik moet dus op zoek naar een ander menusysteem. Hoeft geen ingewikkeld menusysteem te zijn als het maar responsive is.

Na enig zoek werk kom ik bij swMenu http://www.swmenupro.com/downloads/swmenufree.html https://www.swmenupro.com/downloads/swmenufree.html
Hierbij heb ik de volgende vragen:
- Heeft iemand ervaring met swMenu ?
- Heeft iemand een betere suggestie voor een simpel responsive menusysteem ?
- Wat is het stappenschema om een ander menusysteem te installeren en werkend te krijgen ?
Zelf dacht ik aan
 swMenu downloaden en installeren
 Module nieuw aanmaken
 Module Icemegamenu deactiveren
 Hoofdmenu koppelen aan swMenu module.
 Indien nieuw menu operationeel php naar 7.1 => 7.3
Ik heb dit nooit eerder gedaan en ben bang dat is de boel om zeep helpt.

Wie weet raad ? Alvast bedankt,

Groeten,
Wessel
Geaccepteerde antwoord
Hans
Moderator
Geaccepteerde antwoord Pending Moderation
Hoi Wessel, de module zal geupdate moeten worden. Uit de onderstaande link begrijp ik dat de ontwikkelaar van deze module waarschijnlijk gestopt is. Het zou handig zijn dat templatemonster een alternatieve module gaat gebruiken die nog wel ondersteund wordt.

In ieder geval kan je in deze link nog een update vinden (via onze Franse vrienden)
https://forum.joomla.fr/forum/joomla-3-x/administration/gestion-des-modules-ad/1988321-icemegamenu-module-crashes-icetheme-template-after-php-7-1-or-7-2-update
JDoc-vertaler, JPatch tester, JUG-organisator, moderator
Eigen site: https://www.hierbenikthuis.nl en van mijn loopgroep: https://www.loopgroep-arnhemia.nl
Assistant Team Leader van het Joomla Social Media Team
  1. meer dan een maand geleden
  2. 3rd party extensies
  3. # Permalink
Sorry de discussie is momenteel gesloten. U kunt nu geen reactie plaatsen.